#
%define		_state		stable
%define		orgname		kwallet
%define		qtver		4.8.1

Summary:	K Desktop Environment - KDE Wallet Manager
Name:		kde4-kwallet
Version:	4.9.0
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	178db3282ee9e3c8f44c9f5b7b2b1bf0
URL:		http://www.kde.org/
BuildRequires:	kde4-kdebase-devel >= %{version}
Obsoletes:	kde4-kdeutils-kwalletmanager
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
K Desktop Environment - KDE Wallet Manager.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang %{orgname} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kwalletmanager
%attr(755,root,root) %{_libdir}/kde4/kcm_kwallet.so
%{_desktopdir}/kde4/kwalletmanager-kwalletd.desktop
%{_desktopdir}/kde4/kwalletmanager.desktop
%{_datadir}/apps/kwalletmanager
%{_iconsdir}/hicolor/*/apps/kwalletmanager.png
%{_iconsdir}/hicolor/*/apps/kwalletmanager2.png
%{_datadir}/kde4/services/kwalletconfig.desktop
%{_datadir}/kde4/services/kwalletmanager_show.desktop
%changelog
* Sat Jul 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 42ccf96
- up to 4.9.0

* Mon Jun 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 496a415
- up to 4.8.4

* Thu May 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 053bc65
- up to 4.8.3

* Sat Mar 31 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4f7728c
- up to 4.8.2

* Thu Mar 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 125b728
- flat xz layout was used in final version

* Sat Mar 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2cc56d8
- up to 4.8.1

* Sun Jan 22 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d02fb71
- rel 2; add O: kde4-kdeutils-kwalletmanager

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e18d4e
- initial

